<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %> 
<!DOCTYPE html>
<html>
<head>
<meta charset="utf-8">
</head>
<body>
	<h3>用户列表</h3>
	<a href="add">添加用户</a><br/>
	<c:if test="${empty requestScope.userList }">
		<span>暂无数据</span>
	</c:if>
	<c:if test="${!empty requestScope.userList }">
		<table>
			<tr>
				<td>编号</td>
				<td>用户名</td>
				<td>年龄</td>
				<td>修改</td>
				<td>删除</td>
			</tr>
			<c:forEach items="${ requestScope.userList }" var="user">
				<tr>
					<td>${user.uid}</td>
					<td>${user.uname}</td>
					<td>${user.age}</td>
					<td><a href="edit?uid=${user.uid}">修改</a></td>
					<td><a href="del?uid=${user.uid}">删除</a></td>
				</tr>
			</c:forEach>
		</table>
	</c:if>
</body>
</html>
